# $Revision: 1.94 $, $Date: 2010/10/08 09:21:32 $
# Module for kernels <2.6.24
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		rel	1
%define		pname	e1000e
Summary:	Intel(R) PRO/1000e driver for Linux
Summary(en.UTF-8):	Intel® PRO/1000e driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel® PRO/1000e
Name:		%{pname}%{_alt_kernel}
Version:	1.2.17
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	fa082df37999d3a04321223a46e4f53e
URL:		http://dl.sourceforge.net/e1000/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters. This driver is
designed to work with the Intel(R) 82571/2/3/4 PCI-E family of gigabit
adapters and 82567 controllers.

%description -l en.UTF-8
This package contains the Linux driver for the Intel® PRO/1000 family
of 10/100/1000 Ethernet network adapters. This driver is designed to
work with the Intel® 82571/2/3/4 PCI-E family of gigabit adapters and
82567 controllers.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel® PRO/1000. Ten sterownik jest
stworzony aby pracować z kartami gigabitowymi rodziny Intel®
82571/2/3/4 PCI-E oraz kontrolerami 82567.

%package -n kernel%{_alt_kernel}-net-%{pname}
Summary:	Intel(R) PRO/1000e driver for Linux
Summary(en.UTF-8):	Intel® PRO/1000e driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel® PRO/1000e
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-%{pname}
This package contains the Linux driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters. This driver is
designed to work with the Intel(R) 82571/2/3/4 PCI-E family of gigabit
adapters and 82567 controllers.

%description -n kernel%{_alt_kernel}-net-%{pname} -l en.UTF-8
This package contains the Linux driver for the Intel® PRO/1000 family
of 10/100/1000 Ethernet network adapters. This driver is designed to
work with the Intel® 82571/2/3/4 PCI-E family of gigabit adapters and
82567 controllers.

%description -n kernel%{_alt_kernel}-net-%{pname} -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel® PRO/1000. Ten sterownik jest
stworzony aby pracować z kartami gigabitowymi rodziny Intel®
82571/2/3/4 PCI-E oraz kontrolerami 82567.

%prep
%setup -q -n %{pname}-%{version}
cat > src/Makefile <<'EOF'
obj-m := e1000e.o
e1000e-objs := netdev.o ethtool.o param.o e1000_82571.o e1000_ich8lan.o \
e1000_80003es2lan.o e1000_mac.o e1000_nvm.o e1000_phy.o e1000_manage.o \
kcompat.o

EXTRA_CFLAGS=-DDRIVER_E1000E -DCONFIG_E1000E_SEPARATE_TX_HANDLER
EOF
# add -DE1000E_NO_NAPI to disable NAPI

%build
%build_kernel_modules -C src -m %{pname}

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current
# blacklist kernel module
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'
blacklist e1000e
alias e1000e e1000e-current
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-%{pname}
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-%{pname}
%depmod %{_kernel_ver}

%files	-n kernel%{_alt_kernel}-net-%{pname}
%defattr(644,root,root,755)
%doc e1000e.7 README
/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: e1000e.spec,v $
Revision 1.94  2010/10/08 09:21:32  hawk
- updated to 1.2.17

Revision 1.93  2010/09/27 12:10:54  arekm
- release 4

Revision 1.92  2010/09/21 07:58:01  arekm
- release 3

Revision 1.91  2010/09/16 06:48:08  arekm
- release 2

Revision 1.90  2010/08/29 13:10:48  hawk
- updated to 1.2.10

Revision 1.89  2010/08/27 08:35:23  arekm
- release 12

Revision 1.88  2010/08/22 05:46:56  arekm
- release 11

Revision 1.87  2010/08/15 16:42:12  arekm
- release 10

Revision 1.86  2010/08/11 09:27:49  arekm
- release 9

Revision 1.85  2010/08/09 07:57:05  arekm
- release 8

Revision 1.84  2010/07/06 16:11:50  arekm
- release 7

Revision 1.83  2010/07/06 12:32:10  shadzik
- rel up

Revision 1.82  2010/07/05 20:23:21  shadzik
- rel up

Revision 1.81  2010/07/01 22:26:44  shadzik
- rel 4

Revision 1.80  2010/05/28 17:57:15  arekm
- release 3

Revision 1.79  2010/05/18 17:38:25  arekm
- release 2

Revision 1.78  2010/05/04 19:32:25  hawk
- updated to 1.1.19

Revision 1.77  2010/04/28 13:29:29  arekm
- release 8

Revision 1.76  2010/04/16 11:46:28  hawk
- release 7

Revision 1.75  2010/04/11 14:35:00  shadzik
- rel 6

Revision 1.74  2010/03/17 07:28:27  arekm
- release 5

Revision 1.73  2010/03/16 06:13:57  arekm
- release 4

Revision 1.72  2010/03/07 18:03:27  arekm
- 2.6.33 build fix

Revision 1.71  2010/02/15 09:40:27  arekm
- release 3

Revision 1.70  2010/01/08 18:10:22  arekm
- release 2

Revision 1.69  2009/12/30 13:55:11  hawk
- release down to 1

Revision 1.68  2009/12/30 13:54:53  hawk
- updated to 1.1.2

Revision 1.67  2009/12/19 11:00:17  arekm
- release 8

Revision 1.66  2009/12/16 18:00:05  arekm
- release 7

Revision 1.65  2009/12/12 20:02:45  arekm
- release 6

Revision 1.64  2009/11/22 20:57:59  arekm
- release 5

Revision 1.63  2009/11/12 09:37:46  arekm
- release 4

Revision 1.62  2009/11/01 16:38:50  arekm
- release 3

Revision 1.61  2009/10/21 19:05:46  arekm
- release 2

Revision 1.60  2009/10/09 21:34:23  gotar
- upgraded to 1.0.15

Revision 1.59  2009/09/24 22:47:36  hawk
- release 5

Revision 1.58  2009/09/17 18:59:15  hawk
- release 4

Revision 1.57  2009/08/18 12:19:21  hawk
- release 3

Revision 1.56  2009/08/01 20:13:06  arekm
- release 2

Revision 1.55  2009/07/12 17:43:33  hawk
- updated to 1.0.2.5

Revision 1.54  2009/06/20 17:22:14  hawk
- updated Makefile

Revision 1.53  2009/06/20 17:02:11  hawk
- release 4

Revision 1.52  2009/04/21 20:01:54  arekm
- release 3

Revision 1.51  2009/03/25 19:40:17  arekm
- release 2

Revision 1.50  2009/03/24 14:38:19  gotar
- upgraded to 0.5.18.3

Revision 1.49  2009/03/18 08:40:38  arekm
- release 5

Revision 1.48  2009/03/13 19:58:08  arekm
- release 3

Revision 1.47  2009/02/26 21:46:27  arekm
- release 2

Revision 1.46  2009/02/25 15:10:57  hawk
- updated to 0.5.11.2

Revision 1.45  2009/02/24 23:09:26  hawk
- release 11

Revision 1.44  2009/02/17 23:03:58  arekm
- release 10

Revision 1.43  2009/02/10 07:27:24  arekm
- release 9

Revision 1.42  2009/02/07 16:56:43  arekm
- release 8

Revision 1.41  2009/01/25 12:55:27  arekm
- release 7

Revision 1.40  2009/01/19 12:30:08  arekm
- release 6

Revision 1.39  2009/01/15 12:53:56  arekm
- release 5

Revision 1.38  2009/01/10 22:37:20  arekm
- release 4

Revision 1.37  2008/12/19 06:30:46  arekm
- release 3

Revision 1.36  2008/12/14 11:42:37  arekm
- release 2

Revision 1.35  2008/12/11 19:36:57  gotar
- enable separated RX/TX/Queue interrupt vectors for MSI-X enabled 82574IT,
  82574L and 82576EB

Revision 1.34  2008/12/06 12:24:11  hawk
- updated to 0.5.8.2

Revision 1.33  2008/12/06 08:59:53  arekm
- release 7

Revision 1.32  2008/12/01 16:53:46  wolvverine
- rel.6:2.6.27.7-3

Revision 1.31  2008/11/21 16:15:25  arekm
- release 5

Revision 1.30  2008/11/15 11:28:39  hawk
- release 4

Revision 1.29  2008/11/08 09:26:51  arekm
- release 3

Revision 1.28  2008/11/04 07:41:40  arekm
- release 2

Revision 1.27  2008/10/25 13:48:14  hawk
- updated to 0.4.1.12

Revision 1.26  2008/10/13 20:47:40  arekm
- release 9

Revision 1.25  2008/10/09 13:20:40  hawk
- release 8

Revision 1.24  2008/09/18 14:12:52  glen
- adapter

Revision 1.23  2008/09/18 14:04:20  glen
- caps

Revision 1.22  2008/09/18 14:01:44  glen
- more ®

Revision 1.21  2008/09/18 13:55:43  glen
- C locale Summary/description must be in US-ASCII, not UTF-8

Revision 1.20  2008/09/09 08:59:18  hawk
- release 7

Revision 1.19  2008/09/06 12:40:56  marcus
- head for Th/Ti

Revision 1.17  2008/09/02 06:41:37  arekm
- release 6

Revision 1.16  2008/08/06 20:19:37  hawk
- release 5

Revision 1.15  2008/08/03 10:19:52  arekm
- release 4

Revision 1.14  2008/07/29 10:33:31  hawk
- release 3

Revision 1.13  2008/07/25 07:10:06  arekm
- release 2

Revision 1.12  2008/07/22 13:18:17  hawk
- updated to 0.4.1.7

Revision 1.11  2008/07/19 08:00:51  arekm
- release 9

Revision 1.10  2008/07/15 09:15:40  arekm
- release 8

Revision 1.9  2008/07/02 20:43:25  arekm
- release 7

Revision 1.8  2008/06/26 06:46:05  arekm
- release 6

Revision 1.7  2008/06/24 11:24:31  arekm
- release 5

Revision 1.6  2008/06/23 19:15:06  hawk
- release 4

Revision 1.5  2008/06/08 16:43:27  hawk
- release 3

Revision 1.4  2008-05-24 10:07:36  hawk
- release 2

Revision 1.3  2008-05-23 08:11:58  hawk
- adapterized

Revision 1.2  2008-05-05 15:42:47  hawk
- merged blacklisting of old module from e1000.spec

Revision 1.1  2008-04-24 10:04:39  blues
- initial, driver is in 2.6.24
